<table border="1" width="1000">
    <tr>
        <td width="685">Packing</td>
        <td width="685">&nbsp;</td>
    </tr>
    <tr>
        <td width="685">Fecha</td>
        <td width="685">&nbsp;</td>
    </tr>
    <tr>
        <td width="685">Embalaje</td>
        <td width="685">&nbsp;</td>
    </tr>
</table>
<p>&nbsp;</p>
<?php

require('include/configuracion.php');
conexion();

function paginaactual($comandos) {
	$tmp="http://".$_SERVER["HTTP_HOST"].$_SERVER["PHP_SELF"];
	if ($comandos!="") $tmp.="?".$comandos;
	return $tmp;
}

function parametro($nombre,$default) {
	$tmp="";
	if (isset($_POST[$nombre])) {
		$tmp=$_POST[$nombre];
	} else {
		if (isset($_GET[$nombre])) {
			$tmp=$_GET[$nombre];
		} else {
			$tmp=$default;			
		}
	}
	return $tmp;
}


function crear_tabla($columnas,$tamano,$tabla,$titulocolumna,$camposcolumnas,$indice) {
	global $conn;	
	$modval=array();
	$boton=parametro("tabla_boton","");
	$seleccion=parametro("tabla_seleccion","");
	for ($i=0;$i<$columnas;$i++) {		
		$modval=parametro("tabla_$i","");
	}
	
	$sql="select * from $tabla";
	$resultado = mssql_query($sql,$conn) or die("No puede leer $tabla<br>".$sql);
	if (!$resultado) {
		echo "<b>Error de busqueda</b>";
		exit;
	}
	$filas = rows_affected();
	
	
	$tmp="";
	$tmp.="<form name='form1' method='get'>";
	$tmp.= "<table border='1' width='$tamano'>\n";
	// encabezado..
	$tmp.=  "<tr>\n";
	for ($i=0;$i<$columnas;$i++) {		
		$tmp.="<td width=339'>".$titulocolumna[$i]."</td>\n";		
	}
	$tmp.=  "</tr>\n";
	for ($e=0;$e<$filas;$e++) {
		$tmp.=  "<tr>\n";
		for ($i=0;$i<$columnas;$i++) {
			if ($camposcolumnas[$i]=='*opciones*') {
				$valor="opciones";
				$valor="<p><input type='submit' id='BORRAR' VALUE='BORRAR'><input type='submit' name='ELIMINAR'></p>";
			} else {
				$valor = mssql_result($resultado,$e, $camposcolumnas[$i]);
				$valor="<input type='text' id='formtext$i' value='$valor' onclick=\"javascript:document.getElementById('formhidden$i').value='333';\" >";
			}
			
			$tmp.="<td width=339'>$valor <input type='hidden' id='formhidden$i' value='valor'></td>\n";		
		}
		$tmp.=  "</tr>\n";	
	}
	
	$tmp.= "</table>\n";
	$tmp.="<p><input type='submit' name='formbutton1'></p>";
	$tmp.="</form>";
return $tmp;
}

$col=array("nombre","Opciones ");
$colfield=array("nombre_productor","*opciones*");

echo crear_tabla(2,1000,"pf_productor",$col,$colfield,"id_productor")

?>

$tmp.= "<table border='1' width='1000'>\n";
$tmp.=  "    <tr>\n";
$tmp.=  "        <td width='339'>productor</td>\n";
$tmp.=  "        <td width='339'>especie</td>\n";
$tmp.=  "        <td width='339'>cantidad</td>\n";
echo "        <td width='339'>opciones</td>\n";
echo "    </tr>\n";
echo "    <tr>\n";
echo "        <td width='339'>&nbsp;</td>\n";
echo "        <td width='339'>&nbsp;</td>\n";
echo "        <td width='339'>&nbsp;</td>\n";
echo "        <td width='339'>&nbsp;</td>\n";
echo "    </tr>\n";
echo "    <tr>\n";
echo "        <td width='339'>agregar</td>\n";
echo "        <td width='339'>cancelar</td>\n";
echo "        <td width='339'>aceptar y crear tarja</td>\n";
echo "        <td width='339'>&nbsp;</td>\n";
echo "    </tr>\n";
echo "</table>\n";
